libzypp 17.37.10

zyppng::AcceptFailedVerificationRequest Namespace Reference

Ask the user to accept a file that is signed but where the signature verification failed. More...

## Functions
constexpr std::string_view | CTYPE ("keyring/accept-failed-verification")
constexpr std::string_view | FILE ("file")
constexpr std::string_view | KEY ("key")
constexpr std::string_view | KEY_CONTEXT ("key-context")
UserData | makeData (const std::string &file, const zypp::PublicKey &key, const zypp::KeyContext &keycontext=zypp::KeyContext())

## Detailed Description

Ask the user to accept a file that is signed but where the signature verification failed.

Userdata fields:

- "file" The file in question
- "key" Key zypp tried to verify with
- "key-context" context the file came up in

## Function Documentation

## ◆ CTYPE()

std::string_view zyppng::AcceptFailedVerificationRequest::CTYPE | ( | "keyring/accept-failed-verification" |  | ) |
| constexpr

## ◆ FILE()

std::string_view zyppng::AcceptFailedVerificationRequest::FILE | ( | "file" |  | ) |
| constexpr

## ◆ KEY()

std::string_view zyppng::AcceptFailedVerificationRequest::KEY | ( | "key" |  | ) |
| constexpr

## ◆ KEY_CONTEXT()

std::string_view zyppng::AcceptFailedVerificationRequest::KEY_CONTEXT | ( | "key-context" |  | ) |
| constexpr

## ◆ makeData()

UserData zyppng::AcceptFailedVerificationRequest::makeData | ( | const std::string & | file,
|  | const zypp::PublicKey & | key,
|  | const zypp::KeyContext & | keycontext = zypp::KeyContext() )

Definition at line 86 of file userrequest.cc.